Mailinglist Archive: yast-commit (396 mails)

< Previous Next >
[yast-commit] r65292 - in /trunk/autoinstallation: doc/ENV-autoyast scripts/docteam_build.sh
Author: fs
Date: Tue Aug 9 15:41:46 2011
New Revision: 65292

URL: http://svn.opensuse.org/viewcvs/yast?rev=65292&view=rev
Log:
Added files needed by the Documentation Team to build books with daps

Added:
trunk/autoinstallation/doc/ENV-autoyast
trunk/autoinstallation/scripts/docteam_build.sh (with props)

Added: trunk/autoinstallation/doc/ENV-autoyast
URL:
http://svn.opensuse.org/viewcvs/yast/trunk/autoinstallation/doc/ENV-autoyast?rev=65292&view=auto
==============================================================================
--- trunk/autoinstallation/doc/ENV-autoyast (added)
+++ trunk/autoinstallation/doc/ENV-autoyast Tue Aug 9 15:41:46 2011
@@ -0,0 +1,21 @@
+# environment file for book/article §§MAIN§§
+#
+# see /etc/daps/config for documentation of the settings below
+#
+# These settings are settings for the document defined by §§MAIN§§
+# only. Please do not add additional settings here - if you need to
+# customize other settings from /etc/daps/config, do so in
+# ~/.daps/config
+
+MAIN="ay_bigfile.xml"
+ROOTID=""
+PROFOS=""
+PROFARCH=""
+DISTVER=""
+PRODUCTNAME=""
+PRODUCTNAMEREG=""
+
+# if you want to be able to source this file, so you do not have
+# to specify the -e/--envfile option with daps, uncomment the
+# following line
+#export DAPS_ENV_NAME=$(basename $BASH_SOURCE)

Added: trunk/autoinstallation/scripts/docteam_build.sh
URL:
http://svn.opensuse.org/viewcvs/yast/trunk/autoinstallation/scripts/docteam_build.sh?rev=65292&view=auto
==============================================================================
--- trunk/autoinstallation/scripts/docteam_build.sh (added)
+++ trunk/autoinstallation/scripts/docteam_build.sh Tue Aug 9 15:41:46 2011
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+_exit_on_error () {
+ echo "Error: $1" >&2
+ exit 1
+}
+
+ENVFILE="ENV-autoyast"
+
+CHECKOUT_DIR=$(readlink -m $(dirname $0))
+CHECKOUT_DIR=$(dirname $CHECKOUT_DIR)
+
+echo "Running make"
+
+cd $CHECKOUT_DIR
+make -f Makefile.cvs > /dev/null || _exit_on_error "Autogenerating Makefiles
failed"
+
+cd ${CHECKOUT_DIR}/doc/xml
+make > /dev/null || _exit_on_error "Autogenerating docs failed"
+
+echo "Linking Images"
+mkdir -p ${CHECKOUT_DIR}/doc/images/src/png
+cd ${CHECKOUT_DIR}/doc/images/src/png
+for IMG in ../../../autoyast2/img/*.png; do
+ ln -sf "$IMG" || "Warning: could not link $IMG"
+done
+
+cd ${CHECKOUT_DIR}/doc/xml
+
+echo "Creating bigfile"
+xmllint --xinclude --postvalid --noent --output ay_bigfile.xml autoyast.xml ||
_exit_on_error "Failed to create bigfile"
+sed -i 's:\(fileref="\)img/:\1:g' ay_bigfile.xml
+
+
+
+cd ${CHECKOUT_DIR}/doc
+
+mkdir -p ${CHECKOUT_DIR}/doc/docteam
+
+echo "Creating PDF"
+daps -e "$ENVFILE" --builddir ${CHECKOUT_DIR}/doc/docteam color-pdf
+
+echo "Creating HTML"
+daps -e "$ENVFILE" --builddir ${CHECKOUT_DIR}/doc/docteam html
+
+echo "Creating Source tarballs"
+daps -e "$ENVFILE" --builddir ${CHECKOUT_DIR}/doc/docteam package-src
\ No newline at end of file

--
To unsubscribe, e-mail: yast-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages